
#ifndef _MEM2ALLOCATOR_H_
#define _MEM2ALLOCATOR_H_


//----- インクルードファイル -----

#include <revolution.h>


//----- プロトタイプ宣言 -----

//=======================================================================================
// MEM2領域からメモリを確保する関数
//
// ※32Byteにアライメントされた先頭アドレスの領域を確保する
//
// size ... 確保するサイズ(Byte)
//
// 戻り値 ... 確保したメモリ領域の先頭アドレス
//=======================================================================================
void* Mem2Alloc32(u32 size);


//=======================================================================================
// MEM2領域から確保したメモリを解放する関数
//
// addr ... MEM2から確保したメモリ領域の先頭アドレス
//=======================================================================================
u8 Mem2Free32(void *addr);


#endif // _MEM2ALLOCATOR_H_
